package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglBxx;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author zengbo
 * @since 2022-07-16
 */
@Mapper
public interface TbJcglBxxMapper extends BaseMapper<TbJcglBxx> {

    @ApiOperation("根据Id删除数据")
    int deleteBatch(@Param("list") List<String> list);

    @ApiOperation("添加必巡线")
    int insertEntity(TbJcglBxx item);

    @ApiOperation("修改必巡线信息")
    int updateEntity(TbJcglBxx item);

    @ApiOperation("查询列表分页")
    List<TbJcglBxx> getPageList(Map<String, Object> map);

    @ApiOperation("查询列表数据总和")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询详情信息")
    TbJcglBxx getById(@Param("id") String id);
}
